[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDBGridColumns.ResetColumnsOrder

ResetColumnsOrder arranges columns in the collection to the specified order.

## Declaration

Source position: dbgrids.pas line 313

`public procedure TDBGridColumns.ResetColumnsOrder(`
`ColumnOrder: TColumnOrder`
`);`

## Arguments

`ColumnOrder` |  | Sort order for columns in the collection.

## Description

ResetColumnsOrder is a procedure used to arrange columns in the collection to the order specified in the ColumnOrder argument. ColumnOrder can contain the following values:

coDesignOrder
  TColumn.DesignIndex (when available) is used to order collection items.
coFieldIndex
  The index for the TColumn.Field (when available) is used to order collection items.

Otherwise, the index of the collection item is unchanged.